{
    attributes = (
        {
            columnName = "C_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "DATE_IMPORT"; 
            externalType = DATE; 
            name = dateImport; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_SUPPRESSION"; 
            externalType = DATE; 
            name = dateSuppression; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "D_DEBUT"; 
            externalType = DATE; 
            name = dDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN"; 
            externalType = DATE; 
            name = dFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PSO_ID"; 
            externalType = NUMBER; 
            name = psoId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = QUOTITE; 
            externalType = NUMBER; 
            name = quotite; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (psoId); 
    className = "org.cocktail.fwkcktlhamac.serveur.metier.EOPlanningSource"; 
    classProperties = (
        cStructure, 
        dateImport, 
        dateSuppression, 
        dDebut, 
        dFin, 
        persId, 
        quotite, 
        tosIndividu, 
        tosStructure, 
        toStructureAffectation
    ); 
    externalName = "HAMAC.PLANNING_SOURCE"; 
    fetchSpecificationDictionary = {}; 
    name = PlanningSource; 
    primaryKeyAttributes = (psoId); 
    relationships = (
        {
            destination = "Fwkpers_Individu"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = tosIndividu; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = tosStructure; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = toStructureAffectation; 
        }
    ); 
    restrictingQualifier = "dateSuppression = nil"; 
    userInfo = {intermediateClass = "A_EOSource"; }; 
}
